Subject: bug#35659: 26.1; Weird horizontal scroll behavior with certain settings for `auto-hscroll-mode' and `hscroll-step`.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 May 2019 16:34:15 +0300

> Cc: [email-masked]
> From: Clemens Radermacher <[email-masked]>
> Date: Fri, 10 May 2019 15:24:00 +0200
> 
> > By default, they are scrolled, exactly as they are when
> > auto-hscroll-mode is t.
> 
> This is not the behavior you get with auto-hscroll-mode set to t. 

Maybe I'm confused: what is the "behavior you get with
auto-hscroll-mode set to t" to which you allude here?

> If you don't want to touch that code, I as a newbie won't dare to touch it either ;)

I definitely don't.  Someone challenged me to provide this "scroll
only the current line" mode in Emacs, so I coded it.  I definitely
don't want to make it messier than it is already.  Still, volunteers
are welcome.